#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	parted
Summary:	Python 2.x bindings for libparted library
Summary(pl.UTF-8):	Wiązania Pythona 2.x do biblioteki libparted
Name:		python-%{module}
Version:	3.11.2
Release:	9
License:	GPL v2+
Group:		Libraries/Python
#Source0Download: https://github.com/dcantrell/pyparted/releases
Source0:	https://github.com/dcantrell/pyparted/releases/download/v%{version}/pyparted-%{version}.tar.gz
# Source0-md5:	9477016f5a00bd2d7a280879cdeec3a4
Patch0:		gcc10.patch
URL:		https://github.com/dcantrell/pyparted
BuildRequires:	parted-devel >= 3.1
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%endif
Requires:	parted >= 3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2.x bindings for the libparted library. It is used for
manipulating partition tables.

%description -l pl.UTF-8
Wiązania Pythona 2.x do biblioteki libparted. Służy do modyfikowania
tablic partycji.

%package -n python3-%{module}
Summary:	Python 3.x bindings for libparted library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki libparted
Group:		Libraries/Python
Requires:	parted >= 3.1

%description -n python3-%{module}
Python 3.x bindings for the libparted library. It is used for
manipulating partition tables.

%description -n python3-%{module} -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki libparted. Służy do modyfikowania
tablic partycji.

%prep
%setup -q -n pyparted-%{version}
%patch -P 0 -p1

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{py_sitedir}/_ped.so
%dir %{py_sitedir}/parted
%{py_sitedir}/parted/*.py[co]
%{py_sitedir}/pyparted-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{py3_sitedir}/_ped.*.so
%dir %{py3_sitedir}/parted
%{py3_sitedir}/parted/*.py
%{py3_sitedir}/parted/__pycache__
%{py3_sitedir}/pyparted-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-parted.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> cd54975
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> dc16de0
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> c263a69
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 142885e
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d3a585d
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b579091
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> ade53e8
- rebuild with separate debuginfo build-ids

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> baa4a6a
- upstream patch to fix build with gcc 10; rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b3d71ad
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Mar 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 8837c63
- new URLs, updated to 3.11.2

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 62f2543
- release 10 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e4b233a
- python 3.6
- release 9 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 3573fe6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 312e5c9
- release 8 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f037ab2
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ad1d9e
- python3.5 rebuild
- release 7 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6396bbb
- python 3.5 rebuild
- release 6 (by relup.sh)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> b9a22ac
- x32 rebuild
- release 5 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 47ee4ad
- python 3.4
- release 4 (by relup.sh)

* Fri Jan 17 2014 Jakub Bogusz <qboosh@pld-linux.org> eb5307b
- better descriptions

